Skip to main content
Topic: How to avoid "Scalar volume control not supported with this device" ? (Read 386 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

How to avoid "Scalar volume control not supported with this device" ?

Hi,

is there a component, which helps adjusting the volume when I get this error?

Code: [Select]
Scalar volume control not supported with this device
Please use volume up / volume down menu commands or keyboard shortcuts.

I'm playing music via foo_out_upnp and trying to change the volume from a device which has no keyboard (say, my phone via foo_beefweb or foo_httpcontrol).


Re: How to avoid "Scalar volume control not supported with this device" ?

Reply #1
Ok,
I searched the forum(s) again, but maybe, I just don't know the correct terms to look for.

Anybody has a clue?

(Or maybe a technical explanation, WHY this is not possible, if so ?)

Re: How to avoid "Scalar volume control not supported with this device" ?

Reply #2
Originally, foobar2000 volume control was performed by setting an exact value - in decibels - by which the audio should be attenuated from the nominal level.
This does not work with UPnP, as various UPnP devices have their own volume scale, chosen by the manufacturer. An alternate way of controlling volume was introduced with foobar2000 v1.2, so the volume value of UPnP device can be manipulated, only allowing it to be increased or decreased by safe small amounts. By the way, you really don't want the classic volume slider shown with UPnP devices, accidentally setting volume to the maximum could have disasterous consequences.
Default User Interface as of foobar2000 v1.2 was updated to show the (-) (+) buttons instead of the slider when foo_out_upnp is selected, other components should have done the same but it seems not everyone got the memo. Please ask authors of those components to verify compatibility with foo_out_upnp volume control.

Re: How to avoid "Scalar volume control not supported with this device" ?

Reply #3
Ok, thanks a lot for explanations!

Ah, forget all this, it was not the multimedia keyboad, I used, it was the volume up/down slider in CUI, which gave the error.
(but while I'm connected to the f2k machine via VNC or change the volume via webinterface (foo_beefweb) I cannot use the volume slider, and both ways throw the error...)

Meanwhile (and I dunno, what component or f2k core version it changed) it works. No error-popup is shown, when I change the volume while playing music through UPnP speakers!

I can use the "Volume Up (MM)" and "Volume Down (MM)" keys I bound with the "Playback -> Volume -> Up/Down" actions on my multimedia keyboard.
The very same volume control that had shown the above error before, does now work fine and regulates the volume w/o any error popup.

For a workaround, I had bound keyboad-shorcuts ALT+Up/Down to the same "Playback -> Volume -> Up/Down" actions and it worked also without error popups. (only difference: the bound shortcuts are not global.)

Its a little bit odd to me, why the same keybindings worked w/o error popup, while the others (bound to my multimedia keyboard) did not, but hey, with f2k 1.5b21 the error popup is gone (and hopefully will stay away)



 

Re: How to avoid "Scalar volume control not supported with this device" ?

Reply #4
Wow.... just today, I had the spontanious idea of creating 2 buttons, bound to the main menu items /playback/volume/up+down ....

The Idea just came, when I used foobar2000 for mac, where there is no volume slider, but only a + and - button to change the volume. Pressing those buttons did not popped up an error message while playing music via UPnP....
 *pling*
Sometimes the simplest things take the most time....

Anyways, problem solved.

(and reading Peters post again, he mentioned the (+) (-) buttons...but I did not realize....)

 
SimplePortal 1.0.0 RC1 © 2008-2019